## openstack-cluster-installer 1

=== debian/changelog ===
openstack-cluster-installer (1) unstable; urgency=medium

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Mar 2018 14:17:07 +0100
