=== debian/control ===
Source: openstack-cluster-installer
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
Standards-Version: 4.1.3
Homepage: https://salsa.debian.org/openstack-team/debian/openstack-cluster-installer
Vcs-Browser: https://salsa.debian.org/openstack-team/debian/openstack-cluster-installer
Vcs-Git: https://salsa.debian.org/openstack-team/debian/openstack-cluster-installer.git

Package: openstack-cluster-installer
Architecture: all
Depends:
 apache2,
 apache2-utils,
 approx,
 bind9-host,
 bind9utils,
 bridge-utils,
 default-mysql-server,
 ipcalc,
 live-build,
 lsb-base,
 php,
 php-mysql,
 php-ssh2,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 ${misc:Depends},
Suggests:
 bind9,
 isc-dhcp-server,
 qemu-kvm,
Description: automatic PXE installer for OpenStack
 This package is a work in progress. There's going to be more later.
 .
 This package installs the DHCP+PXE boot server.
