## openstack-cluster-installer 21

=== debian/changelog ===
openstack-cluster-installer (21) unstable; urgency=medium

  * Bugfix release for Buster which includes:
    - Fixed reserve_ip_to_all_slaves_of_network() call in network_add API call.
    - Correctly check for $mgmt_net["iface2"] and not $onenet when calculating
      --static-iface.
    - Fix block device list for swiftstore (statsd hostname was breaking it,
    ordering was broken).
    - Correctly set the erlang_cookie for rabbitmq as a random value.
    - Correctly use a a real random key for heat's encryption key.
    - Correct swift pipeline order when using encryption.
    - Correctly set unix rights of drives in /srv/node.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2019 13:46:39 +0100

openstack-cluster-installer (20) unstable; urgency=medium

  * Set allow_resize_to_same_host to True on all nova nodes.
  * Set dhcp_domain to '' in nova.conf, to avoid .novalocal or .openstacklocal
    postfixed to hostname by DHCP.
  * Set important rabbitmq production parameters (the most important one is the
    autoheal, to avoid split-brain breakage).
  * Randomize the rabbitmq host list in transport_url, to avoid having all
    services connecting always to the same host.
  * Add support for Cinder volume over Ceph.
  * Provision Ceph OSD using bluestore.
  * Fix poc-bin/oci-poc-setup-bodi-hook motd.
  * Make Ceph optional on compute nodes:
    - Add a machine-show to show machine properties.
    - Add a machine-set, to select /var/lib/nova/instances on Ceph or not.
    - Modify the ENC to transmit the use_ceph_if_available variable.
    - Modify compute manifest to use the use_ceph_if_available and possibly use
      Ceph or not for /var/lib/nova/instances.
  * Better Octavia defaults.
  * Fix dns_domain of neutron.conf to the domain name of the deployed cloud.
  * Enable optional statsd logging for swiftstores.
  * Using uwsgi instead of Apache for heat-api, heat-api-cfn, nova-api,
    barbican-api and aodh-api.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Feb 2019 14:12:23 +0100

openstack-cluster-installer (19) unstable; urgency=medium

  * Set all services to use RabbitMQ HA queues.
  * Explicitely choose the firewall type for Neutron agents.
  * Setup ceilometer::agent::central on controller nodes.
  * Setup cloudkitty-processor on multiple controllers using coordination URL.
  * Fix Ceilometer redis connection URLs.
  * Set resume_guests_state_on_host_boot in compute's nova.conf.
  * Rewrite the Location: headers coming from nova & heat, so that microversion
    redirections (ie: 302 redirect) can work. This repair listing instances in
    Horizon.
  * Correctly binds instance VNC servers to 0.0.0.0 on compute hosts.
  * Make the NoVNC console work.
  * Add rsync of glance images from first controller to the others.
  * Add script to add machines in the ring.
  * Fix Glance-api public_endpoint URL to correct HAProxy URL.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Feb 2019 19:12:00 +0100

openstack-cluster-installer (18) unstable; urgency=medium

  * Fix cloudkitty's keystone_fetcher and gnocchi_fetcher cafile=.
  * Fix cloudkitty's rabbitmq amqp_sasl_mechanisms and login.
  * Setup correct database/connection for Gnocchi.
  * Setup redis for Gnocchi.
  * Live image: iomem=relaxed console=tty0, install plymouth (so that systemd
    prints on all consoles).
  * Add Panko and Ceilometer services.
  * New style of networking options for openstack-debian-images.
  * Add e2fsprogs to the slaves.
  * fernet_replace_keys => false by default, and also do not attempt to isntall
    fernet key "1" on each puppet run.
  * Nova default config on compute:
    - DEFAULT/use_cow_images = False.
    - preallocate_images = 'space'.
    - remove_unused_original_minimum_age_seconds = 604800 (one week).
  * Neutron default config:
    - service_plugins: add segments.
    - network_vlan_ranges = external (so, we use br-ex for the VLANs).
  * Do not chown swift:swift /srv/node/X if X isn't mounted (which may be the
    case if there's a borken drive in a swift cluster).
  * Add firewalling of Octavia API on the VIP.
  * Install default openstack-cluster-installer.conf for Buster.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 15:09:46 +0100

openstack-cluster-installer (17) unstable; urgency=medium

  * Use host CPU model for VMs in the -poc.
  * Fix starting-up VMs with 3 drives in the PoC.
  * Run gnocchi-api using uwsgi rather than Apache to avoid port bind conflict.
  * Fix neutron.conf [database]/connection to be empty on compute nodes.
  * Fix puppet scheduling of swiftproxy install.
  * Fixed machines table with default SQL values.
  * Do not use INSERT with '' as value for IDs, just omit it, so it works with
    mariadb 10.3.
  * Remove the nobarrier option from Ceph OSD fstab, as it doesn't work anymore
    in Sid/Buster.
  * Do not use roundrobin for glancebe in haproxy, but source, else it wouldn't
    work properly.
  * Add ccze to all installed computers.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Jan 2019 10:14:26 +0100

openstack-cluster-installer (16) unstable; urgency=medium

  * Add Gnocchi, Aodh, Cloudkitty and Octavia deployment.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Dec 2018 10:41:32 +0100

openstack-cluster-installer (15) unstable; urgency=medium

  * Add Compute, Volume and Ceph support.
  * Correctly purges /etc/openstack-cluster-installer and /var/lib/oci.
    (Closes: #915781).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Nov 2018 15:43:03 +0100

openstack-cluster-installer (14) unstable; urgency=medium

  * Add the possibility to customize the motd of installed machines.
  * Switch Heat API URL from /orchestration to /orchestration-api to avoid any
    clash with /orchestration-cfn.
  * Fixed rabbitmq SSL setup, and made heat work.
  * Add the setup of openstack-dashboard (aka: Horizon).
  * Add the setup of Barbican.
  * Add Swift encryption using a secret key stored in Barbican.

