## openstack-cluster-installer 21+nmu1

=== debian/changelog ===
openstack-cluster-installer (21+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:04:58 +0800
