## openstack-cluster-installer 23

=== debian/changelog ===
openstack-cluster-installer (23) unstable; urgency=medium

  [ Thomas Goirand ]
  * Install intel-microcode and smartmontools in nodes by default.
  * Add full installation and support for Magnum.
  * haproxy: correctly check SSL certificate of each service.
  * SSL certificate with -addext "subjectAltName = DNS:${SLAVE_NODE_HOSTNAME}"
    to avoid warnings.
  * Add a debmirror machine type.
  * Correctly generate the ec2 credential keys for Keystone.
  * Switch Octavia to ACTIVE_STANDBY by default.
  * Automatically format /dev/sdb as XFS over a volume group and mount it in
    /var/lib/nova/instances.
  * Automatically install megacli if requested in config file.
  * Fix CephOSD nodes when using NVME disks.
  * Allow using a Ceph cluster network and configure CephOSD nodes the correct
    way for it.
  * Always transmit an up-to-date /etc/hosts to all nodes throught the ENC.
  * Differenciate API root CA and OCI root CA.
  * Add a cluster option to use self signed certs or not.
  * Manage /etc/systemd/system/puppet.service.d/oci-ca-cert.conf with puppet.
  * Lots of fixes for OpenStack rocky.
  * Enable or disable nested virtualization on cluster or machine level.
  * Added an oci-update-cluster-certs script, so one can published updated
    certs in a whole cluster.
  * Optionnaly, a cluster can use an external swift cluster for Glance and
    Cinder backups.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 May 2019 12:25:05 +0200

openstack-cluster-installer (22) experimental; urgency=medium

  [ Thomas Goirand ]
  * Add role-add, role-create, role-delete API and ocicli.
  * Add bash-completion script for ocicli.
  * Enhance ocicli network-list, add a network-set command.
  * Allow setting-up multiple external bridges for flat networks.
  * List all bridge setup with OCI in neutron's config, allowing a virtually
    unlimited number of bridges.
  * Fix service_credentials/cafile in ceilometer.
  * Add option to perform ipmitool settings in the target image when running on
    the slave image.
  * Add option to show the calculated IPMI console command.
  * Add some sysctl customization (low swappiness, higher conntrack, etc.).
  * Provision ssh public / private keypair between nova nodes in the
    /var/lib/nova/.ssh folder, to allow (live) migration using ssh / scp.
  * Switch to a db migration system with the schema saved in PHP format.
  * Add a cluster-show command.
  * Add the setup of chrony on all machines, with customization of time server
    host for the clock source.
  * Add the nf_conntrack module by default in /etc/modules.
  * Make sure python-keystonemiddleware is installed on swift-proxy nodes.
  * Firewall swift's container, account and object servers.
  * Empty DEFAULT/external_network_bridge by default, as this prevent using
    more than one external network.
  * Libvirt configuration on compute nodes (ie: /etc/default/libvirt-guests):
    - PARALLEL_SHUTDOWN=8
    - SHUTDOWN_TIMEOUT=120
    - START_DELAY=4
  * Add qemu monitor on port 550XX for each VMs in the PoC.
  * Copy swift_fstab_dev_list.sh when provisionning.
  * Set Neutron's global_physnet_mtu and ml2's path_mtu if the VM net network
    has mtu != 0, allowing to set (for example) mtu = 9000.
  * Use wget to install openstack-backports-archive-keyring_0.1_all.deb instead
    of using apt-get update / apt-get install --allow-unauthenticated (which
    method doesn't work anymore in Buster).
  * Set haproxy's nbproc to 4 by default for swiftproxy, compute and
    controller nodes.
  * Copy the backport repository key file inside the targets instead of using
    the openstack-backports-archive-keyring package, which doesn't work anymore
    if using Buster.
  * Also install gnupg2 in the installed machines of the cluster.
  * Add support for Stein's separated placement.
  * Adapt puppet manifests so that they also work with Stein's puppet-openstack.
  * Add the feature to setup any machine with software RAID.
  * Using system serial number, and not chassis anymore.
  * Fully working Octavia support.

  [ Oliver Chaze ]
  * swift: do not log in syslog general logs
  * increase default haproxy server timeout

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 May 2019 17:18:44 +0200
