=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  openstack-pkg-tools (>= 81~),
 Standards-Version: 4.1.4
 Homepage: https://salsa.debian.org/openstack-team/debian/openstack-cluster-installer
@@ -72,6 +72,7 @@
 Architecture: all
 Depends:
  curl,
+ q-text-as-data,
  ${misc:Depends},
 Description: automatic PXE and puppet-master installer for OpenStack - API client
  OCI (OpenStack Cluster Installer) is a software to provision an OpenStack
@@ -127,6 +128,12 @@
 Architecture: all
 Depends:
  openstack-puppet-modules,
+ puppet-module-aboe-chrony,
+ puppet-module-deric-zookeeper,
+ puppet-module-magnum,
+ puppet-module-placement,
+ puppet-module-puppetlabs-mysql (>= 8.1.0),
+ puppet-module-voxpupuli-collectd,
  ${misc:Depends},
 Description: automatic PXE and puppet-master installer for OpenStack - puppet module
  OCI (OpenStack Cluster Installer) is a software to provision an OpenStack
