## openstack-cluster-installer 40.1

=== debian/changelog ===
openstack-cluster-installer (40.1) unstable; urgency=medium

  * Fix swiftproxy.pp haproxy setup for Bullseye (ie: haproxy >= 2.1).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 01:11:51 +0200

openstack-cluster-installer (40) unstable; urgency=medium

  * Fix compute.pp, volume.pp, swiftproxy.pp and network.pp not having the
    $all_rabbits_ips parameter and failing to apply.
  * Fix calling auto-join-rabbit-cluster in messaging nodes.
  * openstack-cluster-installer-build-live-image: do not modify config/build
    if the file doesn't exist.
  * Correctly schedule keystone bootstraping before doing the roles.
  * ocicli cluster-install: display VOLUME, SWIFTPROXY and SWIFTSTORE when
    installing them.
  * oci-poc: correctly bridge 192.168.105.1/24 to the ocibr1 (ie: the bridge
    connected to the eth1 of all VMs) instead of eth0, correcting the floating
    IP connection to the VMs.
  * oci-poc: allow using .raw images for glance upload.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Feb 2021 10:27:28 +0100

openstack-cluster-installer (39) unstable; urgency=medium

  * Add -y flag when installing HPE tools.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Feb 2021 17:39:43 +0100

openstack-cluster-installer (38) unstable; urgency=medium

  * Correctly generate passwords for service='bill'.
  * Switch to netcat-traditional instead of netcat (Closes: #981499).
  * Allow setting-up gnocchi-api on messaging+bill{mon,osd} separate nodes to
    enable better scalling.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Feb 2021 17:24:34 +0100

openstack-cluster-installer (37) unstable; urgency=medium

  [ Thomas Goirand ]
  * oci-fixup-compute-node: Do not perform libvirt hack if not in stretch or
    buster.
  * Add HPE non-free tools installation support (hponcfg, storcli, ssacli),
    and automatically activate IPMI over LAN on them.
  * Fix typo when selecting ceph or swift backend for Glance.
  * Use roundrobbin (instead of source) for nova-api HAProxy backend.
  * oci-hdd-maint: reports correctly the serial numbers of HPE SmartArray
    connected HDD/SSD.

  [ Cyril de Bourgues ]
  * Add 3 swift ring management utilities.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jan 2021 19:14:44 +0100

openstack-cluster-installer (36) unstable; urgency=medium

  * Fix galera_package_name when installing the Galera cluster.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2021 23:38:57 +0100

openstack-cluster-installer (35) unstable; urgency=medium

  * oci-poc: restart isc-dhcp-server after starting VMs.
  * Add billmon and billosd roles, to have an independent Ceph for Telemetry.
  * Install chrony by default in target machines, not ntp.
  * Fix corosync setup with the Bullseye 3.1.x version.
  * Fix haproxy >= 2.1 incompatibility with reqrep / rspirep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2021 18:02:51 +0100

openstack-cluster-installer (34) unstable; urgency=medium

  * Upgrade IPMI before BIOS (as that's what Dell server needs). Also
    correctly report r420/r620 lifecycle version.
  * Fixed reporting phys block device size when MegaCli returns SECTOR_SIZE=0.
  * Report r420 / r620 Lifecycle version correctly.
  * Add ceph_osd_initial_setup to stop provisionning Ceph OSD once the cluster
    is in production.
  * Add force_no_bgp2host to make it possible to setup a compute cluster using
    bgp-to-the-host, but forcing Network nodes to use L2 connectivity.
  * Allow using non-DVR setup, with central network nodes (though using DVR for
    east-west traffic).
  * Fix distribution names inside the live image for the new version of
    live-build.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 09:20:40 +0100

openstack-cluster-installer (32) unstable; urgency=medium

  * Removed the oci-poc-vms init script, and make it a normal shell script.
  * Fixed oci-poc-install-cluster-full to run with the new oci-poc-vms.
  * It's now possible to set %%COMPUTE_AGGREGATE%% in the "machine-set": of
    hardware-profile.json, and it will be replaced by whatever is set as
    compute-aggregate in auto-racking.json.
  * Add a new machine-renew-ipmi-password command to ocicli.
  * Setup kvm_intel / kvm_amd nested=0/1 at provision time, so it's not needed
    to reboot compute nodes after install to enable nested virt. Also support
    nested virt for amd processors.
  * Add a cluster option nova_scheduler_prefers_hosts_with_more_ram,
    controlling the ram_weight_multiplier (-1 / 1) of the Nova Scheduler.
  * Add messaging nodes for separate, dedicated, notification bus, which is
    increase the reliability if using notifications (no risk to overload the
    central rabbitmq service with the notification messages).
  * When there's both Ceph and Swift available, make it possible to select
    which type of backend to use for Ceph.
  * Made installing magnum optional.
  * Switch to using ceph-volume from the puppet-ceph class.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jan 2021 13:16:58 +0100

openstack-cluster-installer (31) unstable; urgency=medium

  * Agent: fix MegaRAID detection.
  * report.php: allow dots in HDD models and size.
  * Commands machine-megacli-apply and machine-check-megacli-applied can be
    used without a hardware profile name.
  * Add machine-guess-racking and machine-auto-rack, for filling-up the racking
    information automatically looking-up LLDP information against the
    /etc/openstack-cluster-installer/auto-racking.json configuration file.
  * Deny public access to SMTP, Keystone, Heat CFN and Aodh API on the VIP.
  * Add API calls to record hosts in DNS, add hosts to monitoring, and change
    plus record host root passwords. All of this using plugins in the form of
    customizable shell scripts.
  * Cinder-volume: allow one backend per disk.
  * Run ipmitool lan set 1 cipher_privs Xaaaaaaaaaaaaaa on R410/R610.
  * Add puppet-module-etcddiscovery as depends of puppet-module-oci.

