## openstack-cluster-installer 41

=== debian/changelog ===
openstack-cluster-installer (41) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fix poc-bin/oci-poc-install-cluster-swift with the new VM layout.
  * Add udev rule and sort script to restore sanity in drive orders on
    HP DL385, Qemu and others.
  * Handle region_name per cluster.
  * Set net.ipv4.ip_nonlocal_bind on all servers, needed if we set
    LocalAddress in sshd + bgp-to-the-host.
  * Cloudkitty: use keystone as fetcher_backend.
  * Fix rabbit URL for ceilometer notifications in the controller.
  * Add ceilometermiddleware support for swiftproxy.
  * Call ::nova::cinder for any OpenStack release >= train, in both the
    controller and compute classes.
  * Add support for Ceilometer dynamic pollsters.
  * Make Nova's reserved_host_memory_mb configurable, and set default to 16GB.
  * Add optional activation of tempurl, symlink and staticweb swiftproxy
    middlewares on swiftproxy nodes.
  * Move cloudkitty & gnocchi dbs to the messaging nodes, on a new Galera
    cluster for billing.
  * Automatically write /etc/ceilometer/gnocchi_resources.yaml from
    /etc/openstack-cluster-installer/gnocchi_resources.yaml. Same with
    /etc/cloudkitty/metrics.yml for the processor.
  * Rate limit the API to a customizable value, at the iptables level (default:
    100 queries/s connection max per /24), and haproxy (default: 20 concurrent
    sockets), with no limit for cluster internal use.
  * Increased memcached max_connections to 16k (instead of 8k).
  * Only keep 7 days of haproxy logs instead of the default which is 52.
  * controller: also install python3-pankoclient.
  * Configure by default the number of keystone uwsgi workers.
  * Added filebeat support.
  * Add missing pciutils depends in the openstack-cluster-installer-common
    package (the agent uses it).
  * Manage the number of API workers with $::os_workers and the new classes
    foo::wsgi::uwsgi contributed to puppet-openstack.
  * Add code to force a debian suite name for the MegaCli repo.
  * Setup postfix with correct relayhost in all machines of clusters.
  * Use "ceph-volume lvm batch --osds-per-device 2" instead of calling the
    ceph::osd class to create the OSDs.
  * Allow overriding the debian suite name for the HPE repo.
  * Add support for installing PERCCLI.
  * Fix swiftproxy.pp haproxy setup for Bullseye (ie: haproxy >= 2.1).
  * Add missing call to class { '::octavia::housekeeping': } in controllers.
  * Transmit all of the PKIs through the ENC, so there's no need to use a
    script to update them. Administartors can simply edit the SSL key
    materials on the OCI machine under /var/lib/oci/ssl/slave-nodes. The
    puppet manifests are now taking care of updating the certs, and restarting
    daemons appropriately.
  * Fix-up correct rights and location for PKI materials in the cluster.
  * Addresses OSSN-0088: disable glance metadef for non-admins.
  * Fix compute node setup in case there's no data disk.
  * Set enable_new_services => false when calling nova::conductor, to have new
    compute nodes appear disabled by default, which is better for production.
  * oci-poc: added support for AMD virtualization, and added modprobe.d options
    to enable nested virtualization.
  * Add an option to not provision CephOSD automatically.
  * Optionnaly, OCI can set an HTTP proxy in the aodh-notifier's service
    environment, which is very useful if the controller have no internet
    access (this way, aodh-notifier can notify any URL).
  * Do not attempt to setup swiftstore disks if they appear commented out in
    the fstab.
  * Add an option to install Panko or not (do not install by default).
  * Set correct collect_statistics_interval and cluster_partition_handling.
  * If using victoria and up, do not use SSL for Glance, as the package has
    changed to not use UWSGI, and therefore, lost SSL support.
  * Added support for Manila (share as a service).
  * Add VRRP auth password (for Neutron L3 routers in HA).
  * Make it possible to select available Horizon themes.
  * Report and display machine block device controller and ethernet driver,
    with their firmware driver version.
  * Add a custom oci_facts.yaml in each nodes in /etc/facter/facts.d,
    maintained by both puppet and at provisionning time. This is helpful for
    anyone willing to customize his puppet environment depending on node role
    and this type of info, directly in puppet or hiera.
  * Depends on qemu-system, not just qemu (Closes: #992951).

  [ Axel Jacquet ]
  * Added rate limit for swift proxies.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Feb 2021 19:08:35 +0100
