=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
  live-build,
  lsb-base,
  net-tools,
+ openstack-cluster-installer-cli (= ${binary:Version}),
  openstack-debian-images,
- openstack-cluster-installer-cli (= ${binary:Version}),
  openstack-pkg-tools,
  openstack-puppet-modules,
  php,
@@ -42,7 +42,9 @@
  php-mysql,
  php-radius,
  php-ssh2,
+ php-yaml,
  puppet-master,
+ puppet-module-camptocamp-systemd,
  puppet-module-heini-wait-for,
  puppet-module-icann-quagga,
  puppet-module-oci (= ${binary:Version}),
@@ -117,8 +119,8 @@
 Package: openstack-cluster-installer-cli
 Architecture: all
 Depends:
+ csvkit,
  curl,
- csvkit,
  gridsite-clients,
  q-text-as-data,
  ${misc:Depends},
@@ -152,6 +154,7 @@
 Depends:
  curl,
  dmidecode,
+ ethtool,
  ipmitool,
  iproute2,
  jq,
@@ -162,6 +165,7 @@
  lsscsi,
  netcat-traditional,
  nmap,
+ pciutils,
  ${misc:Depends},
 Breaks:
  openstack-cluster-installer (<< 27~),
@@ -206,13 +210,16 @@
  curl,
  haproxy,
  ipcalc,
+ iptables,
  jq,
  lsb-base,
  net-tools,
  openipmi (>= 2.0.25),
+ openstack-cluster-installer-cli (= ${binary:Version}),
  openstack-debian-images,
  openstack-pkg-tools,
- qemu,
+ q-text-as-data,
+ qemu-system,
  qemu-utils,
  ${misc:Depends},
 Suggests:
@@ -288,14 +295,16 @@
 Depends:
  openstack-puppet-modules,
  puppet-module-aboe-chrony,
+ puppet-module-camptocamp-postfix,
  puppet-module-cristifalcas-etcd,
  puppet-module-deric-zookeeper,
  puppet-module-etcddiscovery,
  puppet-module-magnum,
- puppet-module-tempest,
+ puppet-module-pcfens-filebeat,
  puppet-module-placement,
  puppet-module-puppetlabs-mysql (>= 8.1.0),
  puppet-module-saz-ssh,
+ puppet-module-tempest,
  puppet-module-voxpupuli-alternatives,
  puppet-module-voxpupuli-collectd,
  ${misc:Depends},
@@ -305,8 +314,3 @@
  uses the below components:
   * a DHCP server (isc-dhcp-server)
   * a PXE boot server (tftp-hpa)
-  * a web server (apache2)
-  * a puppet-master
- .
- Once computers in the cluster boot for the first time, a Debian live system is
- served by OCI over PXE, to act as a discovery image. This live system then
